Const gScreenWidth = 800
Const gScreenHeight = 600
Const gScreenLeft = 0
Const gScreenTop = 0
Const gScreenRight = gScreenWidth - 1
Const gScreenBottom = gScreenHeight - 1
Const gColorDepth = 32

Const classPlayer = 1
Const classCamera = 2
Const classTile = 3
Const classEditor = 4
Const classTerrain = 5
Const classParticle = 6
Const classEffect = 7
Const classLight = 8
Const classAmbientLight = 9
Const classShadow = 10
Const classBackground = 11

Const gSubClassMin = 0
Const gSubClassMax = 7

Const gTerrainSize = 64

Const gTimerFrequency = 40

Const nothing = 1000
Const gDefaultVolume# = .9

Const dX = 1
Const dY = 2
Const dZ = 3
Const dMin = dX
Const dMax = dZ

; colors
Const cRed = 1
Const cGreen = 2
Const cBlue = 3
Const colMin = cRed
Const colMax = cBlue
Const paletteMin = 0
Const paletteMax = 255

Const alphaMin# = 0
Const alphaMax# = 1

Const tileSize = 1

Const gEditPosition = 1
Const gEditScale = 2
Const gEditAngle = 3
Const gEditSubClass = 4
Const gEditMin = gEditPosition
Const gEditMax = gEditSubClass

Const gAngleMin = 0
Const gAngleMax = 360

Type typeGame
	Field over
	Field level
	Field editMode
	Field editSubMode

	Field time
	Field timeMax
	Field timeEvent

	Field soundOn
	Field musicOn
	
	Field musicFile$
	Field musicChannel
	
	Field message$
End Type

Type typeSprite
	Field position#[dMax]
	Field positionSpeed#

	Field angle#[dMax]
	Field angleTarget#[dMax]
	Field angleSpeed#
	Field didCollide[dMax]

	Field speed#[dMax]
	Field speedMax#[dMax]
	Field speedBreak#[dMax]
	Field speedStep#[dMax]

	Field scale#[dMax]
	Field scaleTarget#[dMax]
	Field scaleSpeed#

	Field stickToBody
	Field stickToOffset#[dMax]
	
	Field positionTarget0#[dMax]
	Field positionTarget1#[dMax]
	Field positionTargetFollow
	
	Field col[colMax]
	Field colTarget[colMax]
	Field colSpeed

	Field alpha#
	Field alphaTarget#
	Field alphaSpeed#
	
	Field isMovable
	Field isPhysical
	Field canFall
	Field body
	Field texture

	Field energy
	Field energyDirection
	
	Field time
	Field timeMax
	Field timeEvent

	Field isMesh

	Field class
	Field subClass
End Type