; Key constants
; Based on Krylar's "KeyConstants" file

; the Escape key
Const gKeyEscape = 1  

; Number keys across the top of the keyboard
Const gKey1 = 2
Const gKey2 = 3
Const gKey3 = 4
Const gKey4 = 5
Const gKey5 = 6
Const gKey6 = 7
Const gKey7 = 8
Const gKey8 = 9
Const gKey9 = 10
Const gKey0 = 11

; A-Z keys
Const gKeyA = 30
Const gKeyB = 48
Const gKeyC = 46
Const gKeyD = 32
Const gKeyE = 18
Const gKeyF = 33
Const gKeyG = 34
Const gKeyH = 35
Const gKeyI = 23
Const gKeyJ = 36
Const gKeyK = 37
Const gKeyL = 38
Const gKeyM = 50
Const gKeyN = 49
Const gKeyO = 24
Const gKeyP = 25
Const gKeyQ = 16
Const gKeyR = 19
Const gKeyS = 31
Const gKeyT = 20 
Const gKeyU = 22
Const gKeyV = 47
Const gKeyW = 17
Const gKeyX = 45
Const gKeyY = 21
Const gKeyZ = 44

; Number-Pad keys
Const gKeyNumPad7 = 71
Const gKeyNumPad8 = 72
Const gKeyNumPad9 = 73
Const gKeyNumPadSub = 74
Const gKeyNumPad4 = 75
Const gKeyNumPad5 = 76
Const gKeyNumPad6 = 77
Const gKeyNumPadAdd = 78
Const gKeyNumPad1 = 79
Const gKeyNumPad2 = 80
Const gKeyNumPad3 = 81
Const gKeyNumPadDecimal = 82
Const gKeyNumPadEquals = 141
Const gKeyNumPadEnter = 156
Const gKeyNumPadComma = 179
Const gKeyNumPadDivide = 181

Const gKeyNumUp = gKeyNumPad8
Const gKeyNumLeft = gKeyNumPad4
Const gKeyNumDown = gKeyNumPad2
Const gKeyNumRight = gKeyNumPad6

; Arrow-Pad keys
Const gKeyArrowPadHome = 199
Const gKeyArrowPadUp = 200
Const gKeyArrowPadPgUp = 201
Const gKeyArrowPadLeft = 203
Const gKeyArrowPadRight = 205
Const gKeyArrowPadEnd = 207
Const gKeyArrowPadDown = 208
Const gKeyArrowPadNext = 209
Const gKeyArrowPadInsert = 210
Const gKeyArrowPadDelete = 211

Const gKeyUp = gKeyArrowPadUp
Const gKeyDown = gKeyArrowPadDown
Const gKeyLeft = gKeyArrowPadLeft
Const gKeyRight = gKeyArrowPadRight

; Function keys
Const gKeyF1 = 59
Const gKeyF2 = 60
Const gKeyF3 = 61
Const gKeyF4 = 62
Const gKeyF5 = 63
Const gKeyF6 = 64
Const gKeyF7 = 65
Const gKeyF8 = 66
Const gKeyF9 = 67
Const gKeyF10 = 68
Const gKeyF11 = 87
Const gKeyF12 = 88
Const gKeyF13 = 100
Const gKeyF14 = 101
Const gKeyF15 = 102

; Country Specific keys
Const gKeyOEM_102 = 86
Const gKeyKana = 112
Const gKeyABNT_C1 = 115
Const gKeyConvert = 121
Const gKeyNoConvert = 123
Const gKeyYen = 125
Const gKeyABNT_C2 = 126
Const gKeyKanji = 148
Const gKeyAX = 150

; Media keys
Const gKeyPrevTrack = 144
Const gKeyNextTrack = 153
Const gKeyMute = 160
Const gKeyPlay_Pause = 162
Const gKeyMediaStop = 164
Const gKeyVolumeDown = 174
Const gKeyVolumeUp = 176
Const gKeyMediaSelect = 271

; Web keys
Const gKeyWebHome = 178
Const gKeyWebSearch = 229
Const gKeyWebFavorites = 230
Const gKeyWebRefresh = 231
Const gKeyWebStop = 232
Const gKeyWebForward = 233
Const gKeyWebBack = 234
Const gKeyMail = 236

; Windows keys
Const gKeyLeftWindows = 219
Const gKeyRightWindows = 220
Const gKeyApps = 221
Const gKeyPower = 222
Const gKeySleep = 223
Const gKeyWake = 227
Const gKeyMyComputer = 235

; Misc keys
Const gKeyAT = 145
Const gKeyColon = 146
Const gKeyUnderline = 147
Const gKeyStop = 149
Const gKeyUnlabeled = 151
Const gKeyRightControl = 157
Const gKeyCalculator = 161
Const gKeySysReq = 183
Const gKeyRightAlt = 184
Const gKeyPause = 197
Const gKeyMinus = 12
Const gKeyEquals = 13
Const gKeyBackspace = 14
Const gKeyTab = 15
Const gKeyLeftBracket = 26
Const gKeyRightBracket = 27
Const gKeyEnter = 28
Const gKeyReturn = gKeyEnter
Const gKeyLeftControl = 29
Const gKeySemiColon = 39
Const gKeyApostrophe = 40
Const gKeyGrave = 41
Const gKeyLeftShift = 42
Const gKeyBackslash = 43
Const gKeyComma = 51
Const gKeyPeriod = 52
Const gKeyForwardSlash = 53
Const gKeyRightShift = 54
Const gKeyKP_Multiply = 55
Const gKeyLeftAlt = 56
Const gKeySpace = 57
Const gKeyCaps = 58
Const gKeyNumLock = 69
Const gKeyScrollLock = 70